.news-container {
    border: 1px solid lightgray;
    box-shadow: 1px 1px 2px lightgray;
    overflow-y: scroll;
    padding: 0 0;
    display: flex;
    justify-content: center;
    width: calc(1182px * .44);
    height: 82px;
    overflow: auto;
    overflow-x: hidden;
}
.news-item {
    margin-bottom: 10px;
}
.new-tag {
    background-color: #009B42;
    height: 20px;
    color: white;
    padding: 2px 10px;
    border-radius: 5px;
    margin-left: 10px;
    line-height: 16px;
    position: relative;
    top: -3px;
    flex-shrink: 0;
    margin-left: 10px;
    width:58px;
}

table {
    width: 100%;
    height: 100%;
    max-height: 24px;
    border-collapse: collapse;
    border-collapse: separate;
    border-spacing: 10px 2px;
}
.category {
    width: 20%;
    text-align: center;
    font-weight: bold;
    color: white;
    border-radius: 5px;
    min-width: 90px;
}
.startDate {
    width: 15%;
    color: gray;
}
.title {
    width: 65%;
    min-height: 500px;
    text-align: left;
    white-space: nowrap;
}

.title span {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: bottom;
}
.news-title-container {
    max-width: 300px;
    overflow: hidden;
}
.news-title {
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width:auto;
    max-width: calc(100% - 70px);
}
.news-title-container:not(:has(.new-tag)) .news-title {
    max-width: 100%;
}

.important {
    background-color: #DC143C;
}
.news {
    background-color: #229DDA;
}
.announcement {
    background-color: #8A8A8A;
}
.system {
    background-color: #D3D3D3;
}
.modal {
    display: none;
    position: fixed;
    z-index: 10000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}
.modal-content {
    background-color: #fefefe;
    margin: 14% auto;
    padding: 0px;
    width: 684px;
    height: 403px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border-radius: 20px;
    border: none;
    position: relative;
}
.modal-header,
.modal-body,
.modal-footer {
    padding: 0px 0px;
}
.modal-header {
    background-color: #5cb85c;
    color: white;
    padding: 0 20px;
    margin: 0;
    width: 100%;
    height: 48px;
    text-align: left;
    border: none;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    display: flex;
    align-items: center;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.modal-body {
    /*height: 29vh !important;*/
    height: calc(75% - 40px);
    box-sizing: border-box;

    text-align: left;
    height: 60%;
    padding: 0 20px;
    overflow: auto;
    border: 1px solid lightgray;
    margin: 20px;
    font-size: 16px;
}
.modal-footer {
    text-align: left;
    padding: 0 20px;
    height: 17%;
    /*position: absolute;*/
    position: relative;
    box-sizing: border-box;

    bottom: 0;
    width: 100%;
}
.modal-header h3 {
    margin: 0;
    line-height: 48px;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 20px;
}
.modal-footer p {
    font-size: 14px;
    padding-top: 1px;
}
.close-btn {
    background: linear-gradient(to bottom, #898989 50%, #727171 50%);
    color: white;
    padding: 0px 20px;
    border: 2px solid #717171;
    cursor: pointer;
    position: absolute;
    bottom: 25%;
    right: 10%;
    transform: translate(50%, 50%);
    z-index: 15000;
    border-radius: 5px;
    width: 15%;
    height: 25%;
}
.close-btn:hover,
.close-btn:focus {
    background: linear-gradient(to bottom, #FFFFFF 50%, #FFFFFF 50%);
    color: #717171;
    border: 2px solid #717171;
}

.close-btn-img {
    cursor: pointer;
    position: absolute;
    bottom: 25%;
    right: 3%;
    z-index: 15000;
    border-radius: 5px;
    width: 130px;
    height: 28px;
}